### Method

# FwupdPlugin Device has_guid

#### Declaration [src]

    gboolean
    fu_device_has_guid (
      FuDevice* self,
      const gchar* guid
    )

#### Description [src]

Finds out if the device has a specific GUID.

Available since: | 1.2.2

#### Parameters

`guid` | `const gchar*`
| A GUID, e.g. `WacomAES`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the GUID is found.